commit:     49c59b1fde1c081e5c0ac9620fc2fd3fefcfb6e6
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 10:12:50 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 10:29:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=49c59b1f

dev-python/virtualenv: Remove unnecessary dependency on pip & setuptools

Bundled dev-python/{pip,setuptools,argparse,wheel} cannot be removed,
as we have a chicken and egg problem here. In the new virtualenv we
need those packages to install them.

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=566022

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/virtualenv/virtualenv-13.1.2.ebuild | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/dev-python/virtualenv/virtualenv-13.1.2.ebuild 
b/dev-python/virtualenv/virtualenv-13.1.2.ebuild
index fcbcb88..b760d82 100644
--- a/dev-python/virtualenv/virtualenv-13.1.2.ebuild
+++ b/dev-python/virtualenv/virtualenv-13.1.2.ebuild
@@ -21,11 +21,9 @@ KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ia64 ~m68k ~mips 
ppc ppc64 ~s390 ~sh sp
 SLOT="0"
 IUSE="doc test"
 
-RDEPEND="
-       >=dev-python/pip-7.1.2[${PYTHON_USEDEP}]
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       "
+RDEPEND=""
 DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
        doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
        test? (
                dev-python/mock[${PYTHON_USEDEP}]
@@ -44,7 +42,7 @@ python_compile_all() {
 }
 
 python_test() {
-       py.test -vvx || die "Tests fail with ${EPYTHON}"
+       py.test -v -v || die "Tests fail with ${EPYTHON}"
 }
 
 python_install_all() {

Reply via email to